﻿using System;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Threading;

namespace ValidationBordersIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var vms = new ObservableCollection<ViewModel>();

            for (var i = 0; i < 10; i++)
            {
                vms.Add(new ViewModel(i, "Name" + i));
            }

            DataContext = CollectionViewSource.GetDefaultView(vms);

            this.Loaded += MainWindow_Loaded;

        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            var layer = AdornerLayer.GetAdornerLayer(grid);
            layer.Visibility = Visibility.Collapsed;
        }
    }
}
