﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;

namespace ValidationBordersIssue
{
    public class ViewModel : INotifyDataErrorInfo
    {
        public ViewModel(int id, string name)
        {
            Id = id;
            Name = name;
        }
        public int Id { get; set; }
        public string Name { get; set; }

        public IEnumerable GetErrors(string propertyName)
        {
            return new List<string> { "some error info" };
        }

        public bool HasErrors => true;
        public event EventHandler<DataErrorsChangedEventArgs> ErrorsChanged;
    }
}